#ifndef at91x40_bit_h
#define at91x40_bit_h
/*
** at91x40_bit.h - Bit defs for Atmel AT91R40008
**
** THE SOFTWARE IS DELIVERED "AS IS" WITHOUT WARRANTY OR CONDITION OF ANY KIND,
** EITHER EXPRESS, IMPLIED OR STATUTORY. THIS INCLUDES WITHOUT LIMITATION ANY
** WARRANTY OR CONDITION WITH RESPECT TO MERCHANTABILITY OR FITNESS FOR ANY
** PARTICULAR PURPOSE, OR AGAINST THE INFRINGEMENTS OF INTELLECTUAL PROPERTY 
** RIGHTS OF OTHERS.
**
** This file may be freely used for commercial and non-commercial applications,
** including being redistributed with any tools.
**
** If you find a problem with the file, please report it so that it can be fixed.
**
** Created by Stefan (stef at skydiver de)
** with ideas from Sten Larsson's at91x40.h
**
** May 21, 2006 - sb - initial version v0.1
*/

/*##############################################################################
## MISC
##############################################################################*/

/*##############################################################################
## EBI - External Bus Interface
##############################################################################*/

/*##############################################################################
## PS - Power Savings Controller
##############################################################################*/

/*##############################################################################
## AI - ADVANCED INTERRUPT CONTROLLER
##############################################################################*/

/*##############################################################################
## PIO - PARALLEL I/Os
##############################################################################*/

#define P14_TXD0  	14
#define P15_RXD0  	15
#define P21_TXD1  	21
#define P22_RXD1  	22

/*##############################################################################
## WD -
##############################################################################*/

/*##############################################################################
## SF - Special Function Registers
##############################################################################*/

/*##############################################################################
## USART - Universal Synchronous/Asynchronous Receiver/Transmitter
##############################################################################*/

// US_CR
#define RXEN  		4
#define TXEN  		6

// US_MR
#define CLK0    	18
#define MODE9   	17
#define CHMODE1 	15
#define CHMODE0 	14
#define NBSTOP1 	13
#define NBSTOP0 	12
#define PAR2    	11
#define PAR1    	10
#define PAR0    	9
#define SYNC    	8
#define CHRL1   	7
#define CHRL0   	6
#define USCLKS1 	5
#define USCLKS0 	4

// US_CSR
#define RXRDY   	0
#define TXRDY   	1
#define TXEMPTY 	9

/*##############################################################################
## TC - TIMER COUNTER
##############################################################################*/

#endif  /* at91x40_bit_h */
